Bug 725736 - [augeas] components should return null from loadConfiguration if augeas is not present instead of throwing an exception
[augeas] components should return null from loadConfiguration if augeas is no...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.9
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: jon30-bugs
  Show dependency treegraph
 
Reported: 2011-07-26 08:26 EDT by Lukas Krejci
Modified: 2014-03-26 04:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-07-26 08:26:58 EDT
Description of problem:

Many of our augeas-based plugins throw an exception from their loadResourceConfiguration() methods when augeas is not available. 

We should consider changing this behavior to just returning null (and thus suggesting that configuration is "disabled") for the following reasons:

1) we don't spam the agent log with load config failure messages
2) the configuration is really technically just disabled because of the lack of support of augeas

Note that this is only of any importance on non-RHEL systems for which we don't bundle augeas native libraries.


How reproducible:
always

Steps to Reproduce:
1. install agent on AIX or some other UNIX-like system (that doesn't have augeas installed)
2. inventory it 
3. Try going to the Configuration tab of the Sudoers resource
  
Actual results:
exception

Expected results:
no exception because the configuration is merely disabled.

Additional info:
Comment 1 Heiko W. Rupp 2013-06-29 03:36:23 EDT
See also Bug 979658
Comment 2 Heiko W. Rupp 2013-06-29 10:31:55 EDT
master 2b75b3367e03

Also suppress some stacktraces that are just clobbering the logs
Comment 3 Heiko W. Rupp 2014-03-26 04:31:01 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.